Package docking.widgets.table

# Class HexBigIntegerTableCellEditor

java.lang.Object
javax.swing.AbstractCellEditor
docking.widgets.table.HexBigIntegerTableCellEditor

All Implemented Interfaces:
  `Serializable`, `CellEditor`, `TableCellEditor`

public class HexBigIntegerTableCellEditor extends AbstractCellEditor implements TableCellEditor

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractCellEditor

  `changeEvent, listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HexBigIntegerTableCellEditor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getCellEditorValue()`
  `Component`
  `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
  `boolean`
  `isCellEditable(EventObject e)`

  ### Methods inherited from class javax.swing.AbstractCellEditor

  `addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, shouldSelectCell, stopCellEditing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.swing.CellEditor

  `addCellEditorListener, cancelCellEditing, removeCellEditorListener, shouldSelectCell, stopCellEditing`

- ## Constructor Details

  - ### HexBigIntegerTableCellEditor

    public HexBigIntegerTableCellEditor()

- ## Method Details

  - ### getCellEditorValue

    public BigInteger getCellEditorValue()
    Specified by:
      `getCellEditorValue` in interface `CellEditor`

  - ### isCellEditable

    public boolean isCellEditable(EventObject e)
    Specified by:
      `isCellEditable` in interface `CellEditor`
    Overrides:
      `isCellEditable` in class `AbstractCellEditor`

  - ### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)
    Specified by:
      `getTableCellEditorComponent` in interface `TableCellEditor`